Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe-Inferred

Agda.Utils.Pointed

Synopsis

- class Pointed f where
  - point :: a -> f a

# Documentation

class Pointed f where

Pointed class.

We could have used Data.Pointed by Edward Kmett, but it has a lot of package dependencies.

Methods

point :: a -> f a

Instances

Pointed [] |
Pointed Maybe |